Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# calendar.hh File Reference

A GtkCalendar C++ wrapper interface. More...

`#include <xfc/gtk/widget.hh>`
`#include <gtk/gtkcalendar.h>`
`#include <xfc/gtk/inline/calendar.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Calendar
    A GtkCalendar C++ wrapper class. More...

## Typedefs

- typedef unsigned int CalendarDisplayOptionsField
    CalendarDisplayOptionsField holds one or more values from the Gtk::CalendarDisplayOptions enumeration OR'd together.

## Enumerations

- enum CalendarDisplayOptions {
  CALENDAR_SHOW_HEADING = GTK_CALENDAR_SHOW_HEADING,
  CALENDAR_SHOW_DAY_NAMES = GTK_CALENDAR_SHOW_DAY_NAMES,
  CALENDAR_NO_MONTH_CHANGE = GTK_CALENDAR_NO_MONTH_CHANGE,
  CALENDAR_SHOW_WEEK_NUMBERS = GTK_CALENDAR_SHOW_WEEK_NUMBERS,
  CALENDAR_WEEK_START_MONDAY = GTK_CALENDAR_WEEK_START_MONDAY
  }
    The display options that specify how the calendar itself is displayed. More...

## Detailed Description

A GtkCalendar C++ wrapper interface.

Provides Calendar, a widget that displays a calendar and allows the user to select a date.

See also: the Calendar HOWTO and example.

## Enumeration Type Documentation

enum CalendarDisplayOptions

The display options that specify how the calendar itself is displayed.

Enumeration values:

  CALENDAR_SHOW_HEADING | Specifies that the month and year should be displayed.
  CALENDAR_SHOW_DAY_NAMES | Specifies that three letter day descriptions should be present.
  CALENDAR_NO_MONTH_CHANGE | Prevents the user from switching months with the calendar.
  CALENDAR_SHOW_WEEK_NUMBERS | Displays each week numbers of the current year, down the left side of the calendar.
  CALENDAR_WEEK_START_MONDAY | Starts the calendar week on Monday, instead of the default Sunday.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3